%define module_name Mojolicious-Plugin-Log-Any
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(File/Spec.pm) perl(Import/Into.pm) perl(Log/Any.pm) perl(Log/Any/Test.pm) perl(Log/Contextual.pm) perl(Log/Contextual/SimpleLogger.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Module/Runtime.pm) perl(Mojolicious.pm) perl(Role/Tiny.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Needs.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Use other loggers in a Mojolicious application
Group: Development/Perl
License: artistic_2
URL: https://github.com/Grinnz/Mojolicious-Plugin-Log-Any

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBOOK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::Log::Any manpage is a the Mojolicious manpage plugin that redirects the
application logger to pass its log messages to an external logging framework
using the section on "attach_logger" in the Mojo::Log::Role::AttachLogger manpage. By default, the Log::Any manpage
is used, but a different framework or object may be specified. For the Log::Any manpage
or the Log::Log4perl manpage, log messages are dispatched with a category of the
application class name, which is `Mojolicious::Lite' for lite applications.

The default behavior of the the Mojo::Log manpage object to filter messages by level,
keep history, prepend a timestamp, and write log messages to a file or STDERR
will be suppressed. It is expected that the logging framework output handler
will be configured to handle these details as necessary.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README CONTRIBUTING.md
%perl_vendor_privlib/M*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

